Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Interface KodoPersistenceManagerFactory

All Superinterfaces:
  com.solarmetric.util.Closeable, PersistenceManagerFactory, Serializable

All Known Subinterfaces:
  JDOConnectionFactory

All Known Implementing Classes:
  PersistenceManagerFactoryImpl

public interface KodoPersistenceManagerFactory
extends PersistenceManagerFactory, com.solarmetric.util.Closeable

Interface implemented by Kodo persistence manager factories.

Method Summary
`void` | `addInstanceLifecycleListener(InstanceLifecycleListener listener, Class[] classes)` JDO 2.0 Preview.
`JDOConfiguration` | `getConfiguration()` Return the configuration for this factory.
`KodoPersistenceManager` | `getPersistenceManager(boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`KodoPersistenceManager` | `getPersistenceManager(String user, String pass, boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`boolean` | `isPersistenceManagerServerRunning()` Return true if a persistence manager server is running.
`boolean` | `joinPersistenceManagerServer()` Join the thread running the persistence manager server for this factory.
`void` | `removeInstanceLifecycleListener(InstanceLifecycleListener listener)` JDO 2.0 Preview.
`boolean` | `startPersistenceManagerServer()` Start the persistence manager server.
`boolean` | `stopPersistenceManagerServer()` Stop the persistence manager server.

Methods inherited from interface javax.jdo.PersistenceManagerFactory
`close, getConnectionDriverName, getConnectionFactory, getConnectionFactory2, getConnectionFactory2Name, getConnectionFactoryName, getConnectionURL, getConnectionUserName, getIgnoreCache, getMultithreaded, getNontransactionalRead, getNontransactionalWrite, getOptimistic, getPersistenceManager, getPersistenceManager, getProperties, getRestoreValues, getRetainValues, setConnectionDriverName, setConnectionFactory, setConnectionFactory2, setConnectionFactory2Name, setConnectionFactoryName, setConnectionPassword, setConnectionURL, setConnectionUserName, setIgnoreCache, setMultithreaded, setNontransactionalRead, setNontransactionalWrite, setOptimistic, setRestoreValues, setRetainValues, supportedOptions`

Methods inherited from interface com.solarmetric.util.Closeable
`close`

Method Detail

### getConfiguration

    public JDOConfiguration getConfiguration()

  Return the configuration for this factory.

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(boolean managed,
                                                        int connRetainMode)

  Return a persistence manager in the given transaction and connection retain mode. The connection mode constants are defined in `KodoPersistenceManager`.

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(String user,
                                                        String pass,
                                                        boolean managed,
                                                        int connRetainMode)

  Return a persistence manager in the given transaction and connection retain mode. The mode connection mode constants are defined in `KodoPersistenceManager`.

### startPersistenceManagerServer

    public boolean startPersistenceManagerServer()

  Start the persistence manager server. This typically happens automatically when a factory with a configured server is obtained.
  Returns:
    false if there is no server configured, true otherwise

### joinPersistenceManagerServer

    public boolean joinPersistenceManagerServer()

  Join the thread running the persistence manager server for this factory.
  Returns:
    false if no server is running, true otherwise

### stopPersistenceManagerServer

    public boolean stopPersistenceManagerServer()

  Stop the persistence manager server.
  Returns:
    false if the server was not running, true otherwise

### isPersistenceManagerServerRunning

    public boolean isPersistenceManagerServerRunning()

  Return true if a persistence manager server is running.

### addInstanceLifecycleListener

    public void addInstanceLifecycleListener(InstanceLifecycleListener listener,
                                             Class[] classes)

  JDO 2.0 Preview. Register a listener for lifecycle-related events on the specified classes. If the classes are null, all events will be propagated to the listener. The listener will be passed on to all new persistence managers.
  Since:
    3.3

### removeInstanceLifecycleListener

    public void removeInstanceLifecycleListener(InstanceLifecycleListener listener)

  JDO 2.0 Preview. Remove a listener for lifecycle-related events.
  Since:
    3.3

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.